Eclipse Platform Release 3.7

## org.eclipse.update.standalone
Class CmdLineArgs

    java.lang.Object
      org.eclipse.update.standalone.CmdLineArgs

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public class CmdLineArgs

extends Object

This class parses the command line arguments for update standalone commands

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Constructor Summary
`CmdLineArgs(String[] args)` Deprecated.

Method Summary
`ScriptedCommand` `getCommand()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CmdLineArgs

    public CmdLineArgs(String[] args)

  Deprecated.

Method Detail

### getCommand

    public ScriptedCommand getCommand()

  Deprecated.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.